/* Game Events */
.events {
    margin: 5px 5px 2px !important;
    overflow: hidden;
    position: relative;
    width: calc(100% - 10px);
}

.events,
.events .rink {
    height: 400px;
}

.events .rink {
    border: 4px solid #ffff88;
    border-radius: 40px;
    box-sizing: border-box;
    position: relative;
    width: 100%;
}

.events .rink div {
    position: absolute;
}

.events .rink .goalline,
.events .rink .blueline,
.events .rink .redline {
    height: 100%;
    top: 0;
}

.events .rink .goal {
    border: 1px solid #880000;
    height: 40px;
    top: calc(50% - 12px);
    width: 15px;
}

.events .rink .left.goal {
    border-radius: 15px 0 0 15px;
    left: calc(5% - 16px);
}

.events .rink .right.goal {
    border-radius: 0 15px 15px 0;
    right: calc(5% - 16px);
}

.events .rink .goalline {
    background-color: #880000;
    width: 2px;
}

.events .rink .left.goalline {
    left: calc(5% - 1px);
}

.events .rink .right.goalline {
    right: calc(5% - 1px);
}

.events .rink .crease {
    background-color: #dee8eb;
    border: 1px solid #880000;
    height: 50px;
    top: calc(50% - 17px);
    width: 30px;
}

.events .rink .left.crease {
    border-radius: 0 3px 3px 0;
    left: 5%;
}

.events .rink .right.crease {
    border-radius: 3px 0 0 3px;
    right: 5%;
}

.events .rink .blueline {
    background-color: #000088;
    width: 4px;
}

.events .rink .left.blueline {
    left: calc(33.33333% - 2px);
}

.events .rink .right.blueline {
    right: calc(33.33333% - 2px);
}

.events .rink .redline {
    background-color: #880000;
    left: calc(50% - 2px);
    width: 4px;
}

.events .rink .faceoff {
    border: 2px solid #880000;
}

.events .rink .faceoff:before {
    background-color: #880000;
    border: 2px solid #ffffff;
    border-radius: 4px;
    content: " ";
    display: inline-block;
    height: 4px;
    left: calc(50% - 4px);
    position: absolute;
    top: calc(50% - 4px);
    width: 4px;
}

.events .rink .left.faceoff,
.events .rink .right.faceoff {
    border-radius: 42px;
    height: 80px;
    width: 80px;
}

.events .rink .top.faceoff {
    top: calc(25% - 42px);
}

.events .rink .bot.faceoff {
    bottom: calc(25% - 42px);
}

.events .rink .left.faceoff {
    left: calc(18% - 42px);
}

.events .rink .right.faceoff {
    right: calc(18% - 42px);
}

.events .rink .centre.faceoff {
    border-radius: 62px;
    height: 120px;
    left: calc(50% - 62px);
    top: calc(50% - 62px);
    width: 120px;
}

.events .rink .centre.faceoff div {
    margin: 28px;
    opacity: 0.6;
}

.events .rink .dot {
    background-color: #880000;
    border: 1px solid #ffffff;
    border-radius: 6px;
    height: 8px;
    width: 8px;
}

.events .rink .dot.top {
    top: calc(25% - 4px);
}

.events .rink .dot.bot {
    bottom: calc(25% - 4px);
}

.events .rink .left.dot {
    left: calc(36% - 4px);
}

.events .rink .right.dot {
    right: calc(36% - 4px);
}

.events .event {
    display: inline-block;
    font-size: 24px;
    height: 18px;
    position: absolute;
    text-align: center;
    width: 18px;
}

.events_filter {
    margin: 0 auto 2px !important;
    width: fit-content;
}

.events_filter dt.sect {
    margin-bottom: 2px;
    text-align: center;
    width: 100%;
}

.events_filter dt.type,
.events_filter dd,
.events_filter div {
    float: left;
}

.events_filter dt.type,
.events_filter div {
    padding: 0 3px;
}

.events_filter dt.type,
.events_filter dd {
    line-height: 16px;
}

.events_filter span:before {
    margin-right: 3px;
}

@media only screen and (max-width: 500px) {
    .events {
        transform: rotate(90deg);
    }

    .events,
    .events .rink {
        height: calc(100vw - 17px);
    }

    .events .rink {
        border-radius: 20px;
    }

    .events .rink .centre.faceoff div,
    .events .event {
        transform: rotate(270deg);
    }
}

@media only screen and (min-width: 501px) and (max-width: 600px) {
    .events,
    .events .rink {
        height: 250px;
    }
}

@media only screen and (min-width: 601px) and (max-width: 700px) {
    .events,
    .events .rink {
        height: 280px;
    }
}

@media only screen and (min-width: 701px) and (max-width: 800px) {
    .events,
    .events .rink {
        height: 310px;
    }
}

@media only screen and (min-width: 801px) and (max-width: 900px) {
    .events,
    .events .rink {
        height: 340px;
    }
}

@media only screen and (min-width: 901px) and (max-width: 1002px) {
    .events,
    .events .rink {
        height: 370px;
    }
}

@media only screen and (max-width: 1002px) {
    .events_filter dt.type {
        clear: left;
        text-align: right;
        width: 62px;
    }

    .events_filter dd {
        width: calc(100% - 68px);
    }
}

.force-hidden {
    display: none !important;
}

/* Boxscore */
.boxscore {
    max-width: 567px;
}

.boxscore .static {
    width: calc(100% - 340px);
}

.boxscore .scroll {
    width: calc(100% - 229px);
}

.boxscore .scroll ul {
    width: 338px;
}

.boxscore .decision {
    width: 52px;
}

.boxscore .decision.win {
    background-color: #66ff66;
}

.boxscore .decision.loss {
    background-color: #cc3333;
    color: #ffffff;
}

.boxscore .decision.tie {
    background-color: #3333cc;
    color: #ffffff;
}

@media only screen and (max-width: 588px) {
    .boxscore .static,
    .boxscore .static ul {
        width: 147px;
    }

    .boxscore .player {
        width: 120px;
    }

    .boxscore .name {
        width: 117px;
    }

    .boxscore .name .name-short {
        display: initial;
    }

    .boxscore .name .name-full {
        display: none;
    }

    .boxscore .scroll {
        overflow: -moz-scrollbars-none;
        -ms-overflow-style: none;
        overflow-x: scroll;
        position: relative;
        scrollbar-width: none;
        width: calc(100% - 149px);
    }

    .boxscore .scroll::-webkit-scrollbar {
        height: 0 !important;
    }
}

@media only screen and (min-width: 510px) and (max-width: 588px) {
    .boxscore {
        width: 487px;
    }
}

@media only screen and (max-width: 510px) {
    .boxscore {
        width: calc(100% - 8px);
    }
}

@media only screen and (min-width: 510px) {
    .boxscore {
        margin: 0 auto 2px !important;
    }
}

.officials .row-head,
.three_stars .row-head {
    border-radius: 3px 3px 0 0;
    font-size: 10px;
    font-weight: bold;
    line-height: 18px;
    text-align: center;
}

.officials {
    max-width: 384px;
}

.officials .row-0,
.officials .row-1 {
    box-sizing: border-box;
    float: left;
    line-height: 18px;
    padding-left: 3px;
    width: calc(50% - 1px);
}

.officials .referee {
    margin-right: 1px;
}

.officials .linesman {
    margin-left: 1px;
}

.officials .row-0 {
    font-weight: bold;
    margin-top: 2px;
}

.officials .row-1 p {
    margin-bottom: 0;
}

.three_stars {
    max-width: 600px;
}

.three_stars .sel {
    font-style: italic;
    padding-right: 3px;
    text-align: right;
}

.three_stars .star {
    float: left;
    position: relative;
    text-align: center;
    width: 33.33333%;
}

.three_stars .star:before {
    left: 2px;
    position: absolute;
    top: 2px;
}

.three_stars .star .name {
    line-height: 16px;
    margin: 2px 0;
    width: 100%;
}

@media only screen and (min-width: 1002px) {
    .officials,
    .three_stars {
        float: left;
    }

    .officials {
        width: 384px;
    }

    .three_stars {
        width: 600px;
    }
}
